using System;
using System.Collections.Generic;
using TTDotNet.Engine.Industries;
using System.Xml;

namespace TTDotNet.Engine.Files
{
    public class FileLoader
    {
        protected XmlReader reader;

        public FileLoader(string path)
        {
            XmlReaderSettings settings = new XmlReaderSettings();
            settings.ConformanceLevel = ConformanceLevel.Fragment;
            settings.IgnoreWhitespace = true;
            settings.IgnoreComments = true;
            reader = XmlReader.Create(path, settings);
        }
    }
}
