using System;
using System.Collections.Generic;
using System.Text;
using TTDotNet.Util;

namespace TTDotNet.Engine.Terrain
{
    public class Sector
    {
        public Coordinate coord;
        public RotateType rotType;

        public Sector(Coordinate coord, RotateType rotType)
        {
            this.coord = coord;
            this.rotType = rotType;
        }

        public override bool Equals(object obj)
        {
            Sector s = (Sector)obj;
            return ((coord.Equals(s.coord)) && (rotType == s.rotType));
        }

    }
}
