using System;
using System.Collections.Generic;
using System.Text;
using TTDotNet.Engine.Stations;
using TTDotNet.Util;

namespace TTDotNet.Engine.Vehicles
{
    public class Order
    {
        private Station destination;
        OrderType orderType;

        public Order(Station station, OrderType type)
        {
            this.destination = station;
            this.orderType = type;
        }

        public DDDCoordinate GetOrderCoord()
        {
            return new DDDCoordinate((int)destination.Location.X, (int)destination.Location.Y, (int)destination.Location.Z);
        }

        public Station DestinationStation
        {
            get { return destination; }
        }

    }
}
