using System;
using System.Collections.Generic;
using System.Text;
using TTDotNet.Util;
using TTDotNet.Engine.ThreeDEngine;
using TTDotNet.Engine.Stations;
using TTDotNet.Engine.Companies;
using System.Drawing;

namespace TTDotNet.Engine.Create.Tools
{
    public class BusStationTool : Tool
    {
        private RotateType rotType;

        public BusStationTool(Game game)
            : base(game, ToolType.BusStation)
        {
            
        }

        public override void MouseDown(Point mouseLocation, GridPickData data)
        {
            Coordinate tileCoord = data.Coord.Clone();

            if (tileCoord.X != -1)
            {
                BuildBusStation(tileCoord);
            }
        }

        public void BuildBusStation(Coordinate coord)
        {
            BusStation a = new BusStation(game.World.GetCompany(game.PlayerNumber), "Coventry Lakeside", coord, rotType);
        }

        public void SetRotation(RotateType type)
        {
            rotType = type;
        }

    }
}
