using System;
using System.Collections.Generic;
using System.Text;
using TTDotNet.Engine.Companies;
using TTDotNet.Util;
using TTDotNet.Engine.Vehicles;

namespace TTDotNet.Engine.Stations.Depot
{
    public abstract class Depot : Station
    {
        private List<Vehicle> vehiclesWaiting;

        public Depot(Company company, string name, Coordinate coord, RotateType rotType, StationType type) 
            :base(name, company, coord, rotType, type)
        {
            vehiclesWaiting = new List<Vehicle>();
        }

        public List<Vehicle> Waiting
        {
            get { return vehiclesWaiting; }
        }
    }
}
