using System;
using TTDotNet.Util;
using Microsoft.DirectX.Direct3D;

namespace TTDotNet.Engine.ThreeDEngine
{
    public class IndexInfo
    {
        private int[] indices;
        private Coordinate coord;
        private RotateType rot;
        private int bufferLoc;
        public int stripNum;
        public int oriented;

        public IndexInfo(int[] indices, Coordinate coord, RotateType rot, Texture tex)
        {
            this.indices = indices;
            this.coord = coord;
            this.rot = rot;
            bufferLoc = 0;
            stripNum = 0;
            oriented = 0;
        }

        public Coordinate GetCoord()
        {
            return coord;
        }

        public int[] GetIndices()
        {
            return indices;
        }

        public int GetBufferLoc()
        {
            return bufferLoc;
        }

        public RotateType GetRotateType()
        {
            return rot;
        }

        public void SetRotateType(RotateType rot)
        {
            this.rot = rot;
        }
        
        public void SetBufferLoc(int i)
        {
            bufferLoc = i;
        }

    }
}
